<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../../../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../../../jacoco-resources/report.gif" type="image/gif"/><title>WebSecurityConfig.java</title><link rel="stylesheet" href="../../../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../../../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../../../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../../../index.html" class="el_report">green-grocery (01-Nov-2022 11:59:04 pm)</a> &gt; <a href="../../index.html" class="el_group">green-grocery</a> &gt; <a href="../index.html" class="el_bundle">src/main/java</a> &gt; <a href="index.source.html" class="el_package">com.example.demo.webconfig</a> &gt; <span class="el_source">WebSecurityConfig.java</span></div><h1>WebSecurityConfig.java</h1><pre class="source lang-java linenums">package com.example.demo.webconfig;

import javax.sql.DataSource;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.security.authentication.AuthenticationManager;
import org.springframework.security.authentication.dao.DaoAuthenticationProvider;
import org.springframework.security.config.annotation.authentication.configuration.AuthenticationConfiguration;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.config.annotation.web.configuration.EnableWebSecurity;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
import org.springframework.security.web.SecurityFilterChain;
import org.springframework.security.web.authentication.AuthenticationSuccessHandler;

import com.example.demo.service.CustomUserDetailsService;

@Configuration
@EnableWebSecurity
<span class="fc" id="L22">public class WebSecurityConfig  {</span>
	 @Autowired
	    private DataSource dataSource;
	
	    @Bean
	    public UserDetailsService userDetailsService() {
<span class="fc" id="L28">	        return new CustomUserDetailsService();</span>
	    }
	     
	    @Bean
	    public BCryptPasswordEncoder passwordEncoder() {
<span class="fc" id="L33">	        return new BCryptPasswordEncoder();</span>
	    }
	     
	    @Bean
	    public DaoAuthenticationProvider authenticationProvider() {
<span class="fc" id="L38">	        DaoAuthenticationProvider authProvider = new DaoAuthenticationProvider();</span>
<span class="fc" id="L39">	        authProvider.setUserDetailsService(userDetailsService());</span>
<span class="fc" id="L40">	        authProvider.setPasswordEncoder(passwordEncoder());</span>
	         
<span class="fc" id="L42">	        return authProvider;</span>
	    }

	    @Bean
	    public AuthenticationManager authenticationManager(AuthenticationConfiguration authConfig) throws Exception {
<span class="fc" id="L47">	    return authConfig.getAuthenticationManager();</span>
	    }
	    
	    @Bean
	    public SecurityFilterChain filterChain(HttpSecurity http) throws Exception{
<span class="fc" id="L52">	        http.authorizeRequests()</span>
<span class="fc" id="L53">	            .antMatchers(&quot;/home&quot;).authenticated()</span>
<span class="fc" id="L54">	            .anyRequest().permitAll()</span>
<span class="fc" id="L55">	            .and()</span>
<span class="fc" id="L56">	            .formLogin()</span>
<span class="fc" id="L57">	            .usernameParameter(&quot;email&quot;)</span>
<span class="fc" id="L58">	            .defaultSuccessUrl(&quot;/home&quot;)</span>
<span class="fc" id="L59">	            .permitAll()</span>
<span class="fc" id="L60">	            .and()</span>
<span class="fc" id="L61">	            .logout().logoutSuccessUrl(&quot;/&quot;).permitAll();</span>
	        
<span class="fc" id="L63">	        return http.build();</span>
	}
	    
	   



	}

</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.8.202204050719</span>green-grocery (01-Nov-2022 11:59:04 pm)</div></body></html>